Decommission java and docker manifests

Issue-ID: INT-1128
Signed-off-by: Gary Wu <gary.wu@futurewei.com>
Change-Id: Id8b3f228f0813a82e871feb57cc865905dff9988
diff --git a/deployment/heat/onap-rke/scripts/deploy.sh b/deployment/heat/onap-rke/scripts/deploy.sh
index 3099770..c6f665c 100755
--- a/deployment/heat/onap-rke/scripts/deploy.sh
+++ b/deployment/heat/onap-rke/scripts/deploy.sh
@@ -25,22 +25,21 @@
 
 
 usage() {
-    echo "Usage: $0 [ -n <number of VMs {2-15}> ][ -s <stack name> ][ -m <manifest> ][ -d <domain> ][ -i <integration_branch> ][ -o <oom_branch> ][ -r ][ -q ] <env>" 1>&2;
+    echo "Usage: $0 [ -n <number of VMs {2-15}> ][ -s <stack name> ][ -d <domain> ][ -i <integration_branch> ][ -o <oom_branch> ][ -r ][ -q ] <env>" 1>&2;
 
-    echo "n:    Set the number of VM's that will be installed. This number must be between 2 and 15" 1>&2;
-    echo "s:    Set the name to be used for stack. This name will be used for naming of resources" 1>&2;
-    echo "d:    Set the base domain name to be used in portal UI URLs" 1>&2;
-    echo "m:    The docker manifest to apply; can only \"docker-manifest-staging.csv\"." 1>&2;
-    echo "i:    Set the branch of integration repo to clone." 1>&2;
-    echo "o:    Set the branch of oom repo to clone." 1>&2;
-    echo "r:    Delete all resources relating to ONAP within enviroment." 1>&2;
-    echo "q:    Quiet Delete of all ONAP resources." 1>&2;
+    echo "n:    Number of worker VMs to deploy. This number must be between 2 and 15." 1>&2;
+    echo "s:    Stack name. This name will be used for naming of resources." 1>&2;
+    echo "d:    Base domain name to be used in portal UI URLs." 1>&2;
+    echo "i:    Branch of integration repo to clone." 1>&2;
+    echo "o:    Branch of oom repo to clone." 1>&2;
+    echo "r:    Delete all ONAP resource within tenant." 1>&2;
+    echo "q:    Quiet delete of all ONAP resources within tenant." 1>&2;
 
     exit 1;
 }
 
 
-while getopts ":n:s:d:m:i:o:rq" o; do
+while getopts ":n:s:d:i:o:rq" o; do
     case "${o}" in
         n)
             if [[ ${OPTARG} =~ ^[0-9]+$ ]];then
@@ -67,13 +66,6 @@
                 usage
             fi
             ;;
-        m)
-            if [ -f $WORKSPACE/version-manifest/src/main/resources/${OPTARG} ]; then
-                docker_manifest=${OPTARG}
-            else
-                usage
-            fi
-            ;;
         i)
             integration_gerrit_branch=${OPTARG}
             ;;
@@ -155,7 +147,7 @@
         ./scripts/gen-onap-oom-yaml.sh $vm_num > onap-oom.yaml~
     fi
 
-    if ! openstack stack create -t ./onap-oom.yaml~ -e $ENV_FILE~ $stack_name --parameter integration_gerrit_branch=$integration_gerrit_branch --parameter oom_gerrit_branch=$oom_gerrit_branch --parameter docker_manifest=$docker_manifest --parameter portal_hostname=$portal_hostname; then
+    if ! openstack stack create -t ./onap-oom.yaml~ -e $ENV_FILE~ $stack_name --parameter integration_gerrit_branch=$integration_gerrit_branch --parameter oom_gerrit_branch=$oom_gerrit_branch -parameter portal_hostname=$portal_hostname; then
         break
     fi